## fonts-fork-awesome 1.1.3+ds1

=== debian/changelog ===
fonts-fork-awesome (1.1.3+ds1-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Fri, 05 Oct 2018 12:44:37 -0400

fonts-fork-awesome (1.1.2+ds3-3) unstable; urgency=medium

  * Move to fonts team.

 -- Alexandre Viau <aviau@debian.org>  Thu, 04 Oct 2018 18:27:35 -0400

fonts-fork-awesome (1.1.2+ds3-2) unstable; urgency=medium

  * Bump compat.

 -- Alexandre Viau <aviau@debian.org>  Thu, 04 Oct 2018 13:53:50 -0400

fonts-fork-awesome (1.1.2+ds3-1) unstable; urgency=medium

  * Build the font ourselves.

 -- Alexandre Viau <aviau@debian.org>  Thu, 04 Oct 2018 13:43:37 -0400

fonts-fork-awesome (1.1.2+ds2-1) unstable; urgency=medium

  * Exclude minified css.

 -- Alexandre Viau <aviau@debian.org>  Thu, 04 Oct 2018 00:21:09 -0400

fonts-fork-awesome (1.1.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #910256)

 -- Alexandre Viau <aviau@debian.org>  Wed, 03 Oct 2018 22:44:41 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

FA_FONTCUSTOM_OUTPUT_DIR = forkawesome
FA_ROOT_FONTS_DIR = fonts

override_dh_auto_build:
	mkdir -p ${FA_ROOT_FONTS_DIR}

	@echo "Compiling Icons into a ForkAwesome fonts..."

	fontcustom compile \
				-c src/icons/fontcustom.yml \
				src/icons/ \
				--debug

	@echo "Copying builds to root folder (package release)..."
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.eot ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.eot
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.svg ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.svg
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.ttf ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.ttf
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.woff ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.woff
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.woff2 ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.woff2

	dh_auto_build

override_dh_auto_clean:
	rm -rf fonts
	rm -rf forkawesome
	rm -f .fontcustom-manifest.json

	dh_auto_clean

## fonts-fork-awesome 1.2.0+ds1

=== src/icons/Makefile ===
FA_ROOT_FONTS_DIR = ../../fonts
FA_FONTCUSTOM_OUTPUT_DIR = ./forkawesome

build:
	@echo "Cleaning up SVG files..."
	npx svgo --quiet --pretty --config=svgo_config.json --folder=svg

	@echo "Compiling Icons into a ForkAwesome fonts..."
	bundle exec fontcustom compile

	@echo "Copying builds to root folder (package release)..."
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.eot ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.eot
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.svg ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.svg
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.ttf ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.ttf
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.woff ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.woff
	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.woff2 ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.woff2

	@echo "done."

default:
	build

.PHONY: build

## fonts-fork-awesome 1.1.5+ds1

=== debian/changelog ===
fonts-fork-awesome (1.1.5+ds1-2) unstable; urgency=medium

  * Build from the icons folder.

 -- Alexandre Viau <aviau@debian.org>  Sat, 10 Nov 2018 19:24:28 -0500

fonts-fork-awesome (1.1.5+ds1-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Sun, 21 Oct 2018 15:07:47 -0400

=== debian/control ===
Source: fonts-fork-awesome
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               fontcustom
Standards-Version: 4.2.1
Homepage: https://forkawesome.github.io
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-fork-awesome
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-fork-awesome.git

Package: fonts-fork-awesome
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: fork of the iconic font and CSS toolkit
 Fork Awesome is a full suite of 718 pictographic icons for easy
 scalable vector graphics on websites, originally created by
 Dave Gandy and now maintained by a community.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 %:
 	dh "$@"
 
-FA_FONTCUSTOM_OUTPUT_DIR = forkawesome
+FA_FONTCUSTOM_OUTPUT_DIR = src/icons/forkawesome
 FA_ROOT_FONTS_DIR = fonts
 
 override_dh_auto_build:
@@ -11,10 +11,8 @@
 
 	@echo "Compiling Icons into a ForkAwesome fonts..."
 
-	fontcustom compile \
-				-c src/icons/fontcustom.yml \
-				src/icons/ \
-				--debug
+	cd src/icons && \
+		fontcustom compile
 
 	@echo "Copying builds to root folder (package release)..."
 	cp ${FA_FONTCUSTOM_OUTPUT_DIR}/forkawesome.eot ${FA_ROOT_FONTS_DIR}/forkawesome-webfont.eot
@@ -26,8 +24,8 @@
 	dh_auto_build
 
 override_dh_auto_clean:
-	rm -rf fonts
-	rm -rf forkawesome
+	rm -rf ${FA_FONTCUSTOM_OUTPUT_DIR}
+	rm -rf ${FA_ROOT_FONTS_DIR}
 	rm -f .fontcustom-manifest.json
 
 	dh_auto_clean

=== debian/tests/control ===
# Test file existance and symlinks
Tests: check-files
Depends: @, bash

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/fonts-fork-awesome-$1.tar.gz/ \
 https://github.com/ForkAwesome/Fork-Awesome/releases .*/archive/v?([\d\.]+).tar.gz

## fonts-fork-awesome 1.2.0+ds1

=== debian/changelog ===
fonts-fork-awesome (1.2.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix watch file, which has not been detecting new releases, and switch to
    version=4.
  * Migrate to debhelper-compat 13.
  * Declare compliance with Standards-Version 4.6.1 (no changes required).
  * Update Homepage.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 08 Dec 2022 15:06:19 -0500

fonts-fork-awesome (1.1.5+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hannah Rittich ]
  * Install icons.yml, which is needed to build qtforkawesome (Closes:
    #998147).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Apr 2022 16:45:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                fontcustom
-Standards-Version: 4.2.1
-Homepage: https://forkawesome.github.io
+Standards-Version: 4.6.1
+Homepage: https://forkaweso.me
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-fork-awesome
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-fork-awesome.git

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/fonts-fork-awesome-$1.tar.gz/ \
 https://github.com/ForkAwesome/Fork-Awesome/tags \
 .*/v?(\d\S+)\.tar\.gz debian uupdate
